/* --------------------------------------------------------------------------
    This is a sample gmsh geometry file
   --------------------------------------------------------------------------*/

// armature
ri_a=0e-3;
ra_a=10e-3;
b_a=10e-3;
x_a=0e-3;

// coil
ri_c=11e-3;
ra_c=15e-3;
b_c =10e-3;

// backiron
ra_b=19e-3;
b_b =16e-3;

// world
ri_w=30e-3;
ra_w=40e-3;

// mesh
c_m1=0.3*0.2*(ra_a-ri_a);
c_m2=1*c_m1;
c_m3=0.3*ra_w/4.0;

//armature

Point(1) = {0,    -0.5*b_a+x_a, 0, c_m1};
Point(2) = {0,     0.5*b_a+x_a, 0, c_m1};
Point(3) = {ra_a,  0.5*b_a+x_a, 0, c_m1};
Point(4) = {ra_a, -0.5*b_a+x_a, 0, c_m1};

Line(1) = {1,2};
Line(2) = {2,3};
Line(3) = {3,4};
Line(4) = {4,1};

Line Loop(1) = {1,2,3,4};
Plane Surface(1) = {1};

// coil
Point(10) = {ri_c, -0.5*b_c, 0, c_m2};
Point(11) = {ri_c, +0.5*b_c, 0, c_m2};
Point(12) = {ra_c, +0.5*b_c, 0, c_m2};
Point(13) = {ra_c, -0.5*b_c, 0, c_m2};

Line(10) = {10,11};
Line(11) = {11,12};
Line(12) = {12,13};
Line(13) = {13,10};

Line Loop(2) = {10,11,12,13};
Plane Surface(2) = {2};

//backiron
Point(20) = {ri_c, -0.5*b_b, 0, c_m2};
Point(21) = {ra_b, -0.5*b_b, 0, c_m2};
Point(22) = {ra_b, +0.5*b_b, 0, c_m2};
Point(23) = {ri_c, +0.5*b_b, 0, c_m2};

Line(20) = {20,21};
Line(21) = {21,22};
Line(22) = {22,23};
Line(23) = {23,11};
Line(24) = {10,20};

Line Loop(3) = {20,21,22,23,11,12,13,24};
Plane Surface(3) = {3};

// world

Point(30) = {0, -ri_w, 0, c_m3};
Point(31) = {ri_w, 0, 0, c_m3};
Point(32) = {0, +ri_w, 0, c_m3};
Point(39) = {0, 0, 0, c_m1};

Circle(30) = {30,39,31};
Circle(31) = {31,39,32};
Line(32) = {32,2};
Line(33) = {1,30};

Line Loop(4) = {33,30,31,32,2,3,4};
Line Loop(5) = {20,21,22,23,-10,24};
Plane Surface(4) = {4,5};

// outer world

Point(40) = {0, -ra_w, 0, c_m3};
Point(41) = {ra_w, 0, 0, c_m3};
Point(42) = {0, +ra_w, 0, c_m3};
Circle(40) = {40,39,41};
Circle(41) = {41,39,42};

Line(42) = {30,40};
Line(43) = {42,32};

Line Loop(6) = {42,40,41,43,-31,-30};
Plane Surface(6) = {6};

// Physical Surfaces
Physical Surface(101)={1} ;// armature
Physical Surface(102)={2} ;// coil
Physical Surface(103)={3} ;// backiron
Physical Surface(104)={4} ;// world
Physical Surface(105)={6} ;// outer world

Physical Line(1001) = {40,41} ;  //round edge
Physical Line(1002) = {43,32,-1,33,42} ;  //sym edge

// bash gmsh -2 simple.geo